Skip to content

convertSupplierQuoteToOrder

WRITE

Convert supplier quote to order.

POST /api/v1/purchasing/convertSupplierQuoteToOrder
curl -X POST '<your-host>/api/v1/purchasing/convertSupplierQuoteToOrder' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string",
    "selectedLines": {}
  }'
Response
{
  "convertedId": "string"
}

Parameters

ParameterType
min 0max 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "selectedLines": {
      "type": "object",
      "propertyNames": {
        "type": "string"
      },
      "additionalProperties": {
        "type": "object",
        "properties": {
          "leadTime": {
            "type": "number"
          },
          "quantity": {
            "type": "number"
          },
          "shippingCost": {
            "type": "number"
          },
          "supplierShippingCost": {
            "type": "number"
          },
          "supplierUnitPrice": {
            "type": "number"
          },
          "supplierTaxAmount": {
            "type": "number"
          },
          "taxAmount": {
            "default": 0,
            "type": "number"
          },
          "taxPercent": {
            "default": 0,
            "type": "number",
            "minimum": 0,
            "maximum": 1
          },
          "unitPrice": {
            "type": "number"
          }
        },
        "required": [
          "leadTime",
          "quantity",
          "shippingCost",
          "supplierShippingCost",
          "supplierUnitPrice",
          "supplierTaxAmount",
          "unitPrice"
        ]
      }
    }
  },
  "required": [
    "id",
    "selectedLines"
  ]
}